# Example config for testing in VirtualBox

# FQDN=domain.name.of.this.host.de
# STATIC_IP=123.456.789.012
# IPV6_CAPABLE=1
HOSTNAME=yodaTest
USERNAME=yoda

# one should rather enter these interactively than saving in this cfg
USER_PWD=test
LUKS_PWD=test

# if unset, then USER_PWD will be used for ROOT_PWD
# ROOT_PWD=test

TARGET_BLOCK_DEVICE=/dev/sda
BOOT_PART_SIZE=500  # MiB
FS=BTRFS
FS_CHOSEN_MOUNT_OPTIONS=('noatime')

# If not booted into the target system, these values should be set:
# CPU_VENDOR: "autodetect", "amd", "intel" or "none"
CPU_VENDOR=autodetect
# BIOS_TYPE: "autodetect", "uefi" or "bios"
BIOS_TYPE=uefi

# If set to "1", then the data, boot and luks partitions
# will be left mounted/opened after installation
LEAVE_MOUNTED=1

PACSTRAP_INTERACTIVE=1

# Additional pacman packages
# E.g. to specify the preferred providers and avoid questions during pacstrap
# -> Choose providers for initramfs, de-p1st-kernel, de-p1st-ucode
#
# Even though de-p1st-mkinitcpio depends on mkinitcpio,
# pacstrap will still ask for an provider for initramfs
# except if we explicitly add mkinitcpio here
ADDITIONAL_PKGS=()
ADDITIONAL_PKGS+=('mkinitcpio' 'de-p1st-kernel-lts' 'de-p1st-ucode-placeholder' 'virtualbox-guest-utils')
#
# XFCE4 desktop with HiDPI
ADDITIONAL_PKGS+=('de-p1st-gpu-generic' 'de-p1st-xfce4-hidpi' 'de-p1st-sddm-autologin-yoda' 'de-p1st-sddm-theme-default')
